haxr-3000.11.1.2: XML-RPC client and server library.

Safe Haskell | None
Language | Haskell2010

Network.XmlRpc.DTD_XMLRPC

# Documentation

newtype I4 Source

Constructors

I4 String |

Instances

Eq I4 Source |
Show I4 Source |
XmlContent I4 Source |
HTypeable I4 Source |

newtype I8 Source

Constructors

I8 String |

Instances

Eq I8 Source |
Show I8 Source |
XmlContent I8 Source |
HTypeable I8 Source |

newtype AInt Source

Constructors

AInt String |

Instances

Eq AInt Source |
Show AInt Source |
XmlContent AInt Source |
HTypeable AInt Source |

newtype Boolean Source

Constructors

Boolean String |

Instances

Eq Boolean Source |
Show Boolean Source |
XmlContent Boolean Source |
HTypeable Boolean Source |

newtype AString Source

Constructors

AString String |

Instances

Eq AString Source |
Show AString Source |
XmlContent AString Source |
HTypeable AString Source |

newtype ADouble Source

Constructors

ADouble String |

Instances

Eq ADouble Source |
Show ADouble Source |
XmlContent ADouble Source |
HTypeable ADouble Source |

newtype DateTime_iso8601 Source

Constructors

DateTime_iso8601 String |

Instances

Eq DateTime_iso8601 Source |
Show DateTime_iso8601 Source |
XmlContent DateTime_iso8601 Source |
HTypeable DateTime_iso8601 Source |

newtype Base64 Source

Constructors

Base64 String |

Instances

Eq Base64 Source |
Show Base64 Source |
XmlContent Base64 Source |
HTypeable Base64 Source |

newtype Data Source

Constructors

Data [Value] |

Instances

Eq Data Source |
Show Data Source |
XmlContent Data Source |
HTypeable Data Source |

newtype Array Source

Constructors

Array Data |

Instances

Eq Array Source |
Show Array Source |
XmlContent Array Source |
HTypeable Array Source |

newtype Name Source

Constructors

Name String |

Instances

Eq Name Source |
Show Name Source |
XmlContent Name Source |
HTypeable Name Source |

data Member Source

Constructors

Member Name Value |

Instances

Eq Member Source |
Show Member Source |
XmlContent Member Source |
HTypeable Member Source |

newtype Struct Source

Constructors

Struct [Member] |

Instances

Eq Struct Source |
Show Struct Source |
XmlContent Struct Source |
HTypeable Struct Source |

newtype Value Source

Constructors

Value [Value_] |

Instances

Eq Value Source |
Show Value Source |
XmlContent Value Source |
HTypeable Value Source |

data Value_ Source

Constructors

Value_Str String |
Value_I4 I4 |
Value_I8 I8 |
Value_AInt AInt |
Value_Boolean Boolean |
Value_AString AString |
Value_DateTime_iso8601 DateTime_iso8601 |
Value_ADouble ADouble |
Value_Base64 Base64 |
Value_Struct Struct |
Value_Array Array |

Instances

Eq Value_ Source |
Show Value_ Source |
XmlContent Value_ Source |
HTypeable Value_ Source |

newtype Param Source

Constructors

Param Value |

Instances

Eq Param Source |
Show Param Source |
XmlContent Param Source |
HTypeable Param Source |

newtype Params Source

Constructors

Params [Param] |

Instances

Eq Params Source |
Show Params Source |
XmlContent Params Source |
HTypeable Params Source |

newtype MethodName Source

Constructors

MethodName String |

Instances

Eq MethodName Source |
Show MethodName Source |
XmlContent MethodName Source |
HTypeable MethodName Source |

data MethodCall Source

Constructors

MethodCall MethodName (Maybe Params) |

Instances

Eq MethodCall Source |
Show MethodCall Source |
XmlContent MethodCall Source |
HTypeable MethodCall Source |

newtype Fault Source

Constructors

Fault Value |

Instances

Eq Fault Source |
Show Fault Source |
XmlContent Fault Source |
HTypeable Fault Source |

data MethodResponse Source

Constructors

MethodResponseParams Params |
MethodResponseFault Fault |

Instances

Eq MethodResponse Source |
Show MethodResponse Source |
XmlContent MethodResponse Source |
HTypeable MethodResponse Source |